For testing and development, we can enable sandbox mode on your
organization to allow you to create tasks and move them through the
various task states to test your application or integration. If you're
interested in setting up a sandbox environment for testing, please reach
out to us at support@ferry.health.
This endpoint allows you to create a blocker on a sandbox appointment
task. Blockers simulate the real blocker flow where Ferry pauses task
processing and requires input from the customer to proceed. Use this
endpoint to test your blocker handling and resolution logic.
<Warning>This endpoint is only available for sandbox tasks. Attempting to
create a blocker on a non-sandbox task will return an error.</Warning>
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
appointmentTaskIdstringRequired
The ID of the sandbox task to create a blocker for.
Request
This endpoint expects an object.
blockerTypeenumRequired
The type of blocker to create on the task.
Allowed values:
notesstringOptional
Optional notes to include with the blocker. These are human-readable and may include resolution instructions.
Response
This endpoint returns an object.
PROVIDER_OPTION_NOT_SELECTEDobject
Ferry is waiting on the patient's selection of a provider and
to share their availability for an appointment.
OR
UNABLE_TO_BOOK_DUE_TO_AVAILABILITYobject
The practices' availability does not match up with the patient's
availability and an appointment has not been booked.
OR
UNABLE_TO_BOOK_WITHOUT_REFERRALobject
Ferry is unable to book an appointment because the practice requires
a referral to be received before they will book.
OR
UNABLE_TO_BOOK_ON_PATIENTS_BEHALFobject
Ferry is unable to book an appointment on the patient's behalf.
OR
UNABLE_TO_CANCEL_WITHOUT_FEESobject
If Ferry were to cancel the appointment the patient would be responsible
for a cancellation fee. Ferry will not cancel appointment until this blocker is resolved.
For testing and development, we can enable sandbox mode on your
organization to allow you to create tasks and move them through the
various task states to test your application or integration. If you’re
interested in setting up a sandbox environment for testing, please reach
out to us at support@ferry.health.
This endpoint allows you to create a blocker on a sandbox appointment
task. Blockers simulate the real blocker flow where Ferry pauses task
processing and requires input from the customer to proceed. Use this
endpoint to test your blocker handling and resolution logic.
This endpoint is only available for sandbox tasks. Attempting to
create a blocker on a non-sandbox task will return an error.